<?xml version="1.0" encoding="UTF-8"?>
<!-- 
	Schematron Schema for RDDL 1.0 http://www.rddl.org/
 
 Copyright (c) 20001 Jonathan Borden <jonathan@openhealth.org>

 This software is provided 'as-is', without any express or implied warranty. 
 In no event will the authors be held liable for any damages arising from 
 the use of this software.

 Permission is granted to anyone to use this software for any purpose, 
 including commercial applications, and to alter it and redistribute it freely,
 subject to the following restrictions:

 1. The origin of this software must not be misrepresented; you must not claim
 that you wrote the original software. If you use this software in a product, 
 an acknowledgment in the product documentation would be appreciated but is 
 not required.

 2. Altered source versions must be plainly marked as such, and must not be 
 misrepresented as being the original software.

 3. This notice may not be removed or altered from any source distribution.

    Version: 20010122
-->
<!DOCTYPE schema PUBLIC "http://www.ascc.net/xml/schematron"
   "http://www.ascc.net/xml/schematron/schematron1-5.dtd">
<schema xmlns="http://www.ascc.net/xml/schematron"
       xmlns:sch="http://www.ascc.net/xml/schematron"
       xml:lang="en"                                       
       xmlns:xsi="http://www.w3.org/2000/10/XMLSchema-instance"
	   xmlns:xlink="http://www.w3.org/1999/xlink"
	   xmlns:xhtml="http://www.w3.org/1999/xhtml"
       xsi:schemaLocation="http://www.ascc.net/xml/schematron
          http://www.ascc.net/xml/schematron/schematron1-5.xsd" >

	<title>Resource Directory Description Language (RDDL) 1.0</title>
	<ns uri="http://www.rddl.org/" prefix="rddl"/>
	<ns uri="http://www.w3.org/1999/xhtml" prefix="xhtml"/>
	<ns uri="http://www.w3.org/1999/xlink" prefix="xlink"/>
	<p>RDDL contains elements from the XHTML and RDDL namespaces.</p>
	<pattern name="RDDL Elements and Required Attributes">
		<p>Rules defining occurrence rules for the RDDL resource element
 and its attributes. Note that for attributes, it is not that the attribute is being tested for existance,
 but whether it has a value.</p>
		<p>RDDL resource elements must be within the html body. </p>
		<rule context="/xhtml:html">
			<assert test="not(@lang) or (@lang = @xml:lang)">When lang attribute is present, the value must equal the value of xml:lang.</assert>
		</rule>
  		<rule context="xhtml:head">
			<report test=".//rddl:resource">RDDL resources must be within the html body.</report>
		</rule>
  		<rule context="xhtml:body">
			<assert test=".//rddl:resource">There should be at least one RDDL resource in the body.</assert>
		</rule>
		<rule context="rddl:resource">
			<assert test="count(@*) = count(@id|@xml:base|@xml:lang|@xlink:title|@xlink:href|@xlink:arcrole|@xlink:role|@xlink:type|@xlink:show|@xlink:embed)"
				>The element rddl:resource should contain only the attributes id, xml:base, xml:lang, xlink:href, xlink:arcrole, xlink:role, xlink:href.</assert>
	  		<assert test="count(*)=(count(xhtml:*)+count(rddl:*))">The rddl:resource element should only have child elements from the XHTML and RDDL namespaces.</assert>
			<assert test="@xlink:type='simple'">RDDL resources are simple Xlinks.</assert>
			<assert test="(not(@xlink:embed) or @xlink:embed='none') and (not(@xlink:show) or @xlink:show='none')">xlink:embed,xlink:show are not used.</assert>
			<assert test="not(@xlink:role) or contains(@xlink:role,':') or starts-with(@xlink:role,'#')">The value of xlink:role cannot be a relative URI reference.</assert>
			<assert test="not(@xlink:arcrole) or contains(@xlink:arcrole,':') or starts-with(@xlink:arcrole,'#')">The value of xlink:arcrole cannot be a relative URI reference.</assert>
			<assert test="normalize-space(.) and *">A rddl:resource should have a description.</assert>	
		</rule>
	</pattern>
</schema>
