<?xml version="1.0" ?>
<!-- 
	Resource Directory Description Language (RDDL)
	Author: Jonathan Borden <jonathan@openhealth.org>
	Date: 2001-01-15
	
	This is an experimental version.
	
	RDDL to RSS 0.91 transform
	
	Assumes xlink:arcrole is a URI reference in form:
	
		absoluteURI '#' fragment-id
		
		when converting to a propertyElt:
		
			absoluteURI => namespace URI
			fragment-id => local-name
			
	
	RDDL: http://www.rddl.org/
	RDF: http://www.w3.org/TR/REC-rdf-syntax
-->
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:rddl="http://www.rddl.org/"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:ht="http://www.w3.org/1999/xhtml"
	xmlns=""
	xmlns:saxon="http://icl.com/saxon"
	exclude-result-prefixes='xsl rddl xlink saxon'
	version="1.0">
<xsl:output method="xml" 
	version="1.0"
	indent="yes"
	doctype-public="-//Netscape Communications//DTD RSS 0.91//EN" 
	doctype-system="http://my.netscape.com/publish/formats/rss-0.91.dtd" />
<xsl:template match="/">
<xsl:comment>RSS generated from RDDL document (http://www.rddl.org/</xsl:comment>
<rss version="0.91">
	<channel>
	  <title><xsl:value-of select="ht:html/ht:head/ht:title" /></title>
	  <link><xsl:if test="function-available('saxon:system-id')"><xsl:value-of select="saxon:system-id()" /></xsl:if></link>
	  <description><xsl:value-of select="ht:html/ht:body/ht:h1" /></description>
	  <xsl:apply-templates select="//rddl:resource" mode="item"/>
   </channel>
</rss>
</xsl:template>
<!-- 
	note: assume xlink:arcrole := absoluteURI  '#' fragment-id
-->
<xsl:template match="rddl:resource" mode="item">
	<xsl:variable name="namespace-part" select="substring-before(@xlink:arcrole,'#')"/>
	<xsl:variable name="local-name" select="substring-after(@xlink:arcrole,'#')"/>
	<xsl:comment> <xsl:value-of select="@xlink:title" /> </xsl:comment>
	<item>
		<xsl:attribute name="rdf:about"><xsl:value-of select="@xlink:href" /></xsl:attribute>
		<title><xsl:value-of select="@xlink:title" /></title>
		<link><xsl:value-of select="@xlink:href" /></link>
		<description>
			<xsl:value-of select="*" />
		</description>
	</item>
</xsl:template>
</xsl:stylesheet>